# $Revision: 1.19 $, $Date: 2008/11/05 23:29:26 $
Summary:	XprintUtil library
Summary(pl.UTF-8):	Biblioteka XprintUtil
Name:		xorg-lib-libXprintUtil
Version:	1.0.1
Release:	5
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXprintUtil-%{version}.tar.bz2
# Source0-md5:	22584f1aab1deba253949b562d1f0f45
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XprintUtil library.

%description -l pl.UTF-8
Biblioteka XprintUtil.

%package devel
Summary:	Header files for libXprintUtil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXprintUtil
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXp-devel
Requires:	xorg-lib-libXt-devel

%description devel
XprintUtil library.

This package contains the header files needed to develop programs that
use libXprintUtil.

%description devel -l pl.UTF-8
Biblioteka XprintUtil.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXprintUtil.

%package static
Summary:	Static libXprintUtil library
Summary(pl.UTF-8):	Biblioteka statyczna libXprintUtil
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XprintUtil library.

This package contains the static libXprintUtil library.

%description static -l pl.UTF-8
Biblioteka XprintUtil.

Pakiet zawiera statyczną bibliotekę libXprintUtil.

%prep
%setup -q -n libXprintUtil-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXprintUtil.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXprintUtil.so
%{_libdir}/libXprintUtil.la
%dir %{_includedir}/X11/XprintUtil
%{_includedir}/X11/XprintUtil/*.h
%{_pkgconfigdir}/xprintutil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXprintUtil.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXprintUtil.spec,v $
Revision 1.19  2008/11/05 23:29:26  arekm
- release 5

Revision 1.18  2008/07/27 23:04:38  arekm
- release 4

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/10/14 17:54:28  qboosh
- use individual dir, release 1

Revision 1.12  2005/12/28 12:21:55  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.11  2005/12/20 13:27:19  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 11:51:57  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 19:20:57  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 21:31:12  qboosh
- oops, restored libXt deps (xprintutil.h uses <X11/Intrisic.h>)
- own /usr/include/X11/XprintUtil dir

Revision 1.5  2005/10/20 21:24:25  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed unused libXt deps

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 00:00:51  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed redundant BR: libX11-devel
- removed redundant R: libX11-devel from devel
- release 0.03

* Fri Aug 12 2005 12:21:59  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: libXt-devel
- added R: libXt-devel to devel package

* Fri Aug 12 2005 12:05:10  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- release 0.02

* Fri Aug  5 2005 15:41:16  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
